package com.bonus.hn.bearing.capacity.backstage.manager.service;




import com.bonus.hn.bearing.capacity.backstage.manager.entity.BindRelationBean;
import com.bonus.hn.bearing.capacity.backstage.manager.entity.OrgBean;
import com.bonus.hn.bearing.capacity.backstage.manager.entity.ZNode;

import java.util.List;
/**
 * @author bonus
 */
public interface OrgService {

    List<ZNode> getAll(String companyId);

    int addOrg(OrgBean bean);

    int updateOrg(OrgBean bean);

    int deleteOrg(OrgBean bean);

    List<ZNode> getCompanyTree(OrgBean bean);

    List<BindRelationBean>getIsBindStatus(String level, String pId, String childId, String sonId, String bName);
}
